using System;
using System.Runtime.InteropServices;
using System.Data;
using System.Data.OleDb;
using System.Windows.Forms;


public class MainClass
{
  public static void Main ()
  {
    OleDbConnection myConnection = new OleDbConnection(
      "Provider=Microsoft.Jet.OLEDB.4.0; " +
      "Data Source=..\\Bsp_5\\Provider.mdb");

    OleDbCommand myCommand = new OleDbCommand("SELECT * FROM Kunden",
                                               myConnection);
    OleDbDataReader myReader = null; 

    try
    {
      myConnection.Open();
      myReader = myCommand.ExecuteReader();
      while (myReader.Read())
        Console.WriteLine("Kunde: {0}", myReader["Name"]);
    }

    catch (Exception e)
    {
      MessageBox.Show( e.Message,
                       "Exception aufgetreten",
                       MessageBoxButtons.OK,
                       MessageBoxIcon.Exclamation );
    }

    finally
    {
      myReader.Close();
      myConnection.Close();
    }

    System.Console.ReadLine();
  }
}
