using System;
using System.Runtime.InteropServices;
using System.Data;
using System.Data.OleDb;
using System.IO;
using System.Windows.Forms;

public class MainClass
{
  public static void Main ()
  {

    DataSet ds = new DataSet();
    try
    {
      FileStream fstream = new FileStream ("Provider.xml",
                                           FileMode.Open,
                                           FileAccess.Read);
      ds.ReadXml(fstream);

      fstream.Close();

      foreach (DataRow workRow in ds.Tables[1].Rows)
        Console.WriteLine(workRow["Name"].ToString());
    }

    catch (Exception e)
    {
      MessageBox.Show( e.Message,
                       "Exception aufgetreten",
                       MessageBoxButtons.OK,
                       MessageBoxIcon.Exclamation );
    }

    System.Console.ReadLine();
  }
}
