using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.OleDb;

public class GridLogic : Page
{
    // Link zu den WebControl Variablen im .aspx File
    protected TextBox query;
    protected DataGrid DataGrid1;

    // Diese Funktion kmmert sich um das Databinding.
    // Sie wird aufgerufen, wenn der Benutzer den
    // "Execute Query" Button clickt.
    public void SearchData (Object sender, EventArgs e)
    {
        DataGrid1.DataSource = CreateDataSource(query.Text);
        DataGrid1.DataBind();
    }

    // Diese Funktion fhrt den SQL Befehl aus und
    // ldt die Daten in ein DataSet.
    private DataView CreateDataSource(String strCmd)
    {
        String mdbFile = Server.MapPath("Provider.mdb");

        OleDbConnection myConnection = new OleDbConnection(
            "Provider=Microsoft.Jet.OLEDB.4.0; " +
            "Data Source=" + mdbFile);

        OleDbDataAdapter adapter = new OleDbDataAdapter(
            strCmd, myConnection);

        DataSet ds = new DataSet();
        adapter.Fill(ds, "workTable");  

        return ds.Tables["workTable"].DefaultView;   
    }
}
