using System;
using System.Runtime.InteropServices;
using System.Data;
using System.Data.OleDb;
using System.Windows.Forms;


public class MainClass
{
  public static void Main ()
  {
    OleDbConnection myConnection = new OleDbConnection(
      "Provider=Microsoft.Jet.OLEDB.4.0; " +
      "Data Source=..\\Bsp_5\\Provider.mdb");

    OleDbDataAdapter adapter = new OleDbDataAdapter(
      "SELECT * FROM Abomodell", myConnection);

    DataSet ds = new DataSet();
    try
    {
      // Verbindung zur Datenquelle aufbauen,
      // DataSet laden und Verbindung wieder abbrechen
      adapter.Fill(ds, "Abomodell");

	string modell = ds.Tables["Abomodell"].Rows[2]["Name"].ToString();
	Console.WriteLine("AboModell vor nderung: {0}", modell);

	if (modell == "all inclusive")
		modell = "Pauschale";
	else
		modell = "all inclusive";

      // Daten ndern
	ds.Tables["Abomodell"].Rows[2]["Name"] = modell;
	Console.WriteLine("AboModell nach nderung: {0}", modell);

	// Automatisch SQL UPDATE command erzeugen.
	// Ohne CommandBuilder Objekt wrde adapter.Update nicht
	// funktionieren
	OleDbCommandBuilder cmdBuilder = new OleDbCommandBuilder(adapter);

	// Console.WriteLine(cmdBuilder.GetUpdateCommand().CommandText);

      // nderung in Provider.mdb schreiben
      adapter.Update(ds, "Abomodell");
    }

    catch (Exception e)
    {
      MessageBox.Show( e.Message,
                       "Exception aufgetreten",
                       MessageBoxButtons.OK,
                       MessageBoxIcon.Exclamation );
    }

    System.Console.ReadLine();
  }
}
