using System;
using System.Runtime.InteropServices;
using System.Data;
using System.Data.OleDb;
using System.IO;
using System.Windows.Forms;

public class MainClass
{
  public static void Main ()
  {
    OleDbConnection myConnection = new OleDbConnection(
      "Provider=Microsoft.Jet.OLEDB.4.0; " +
      "Data Source=..\\Bsp_5\\Provider.mdb");

    OleDbDataAdapter adapter = new OleDbDataAdapter(
      "SELECT * FROM Kunden", myConnection);

    DataSet ds = new DataSet();
    try
    {
      adapter.Fill(ds, "Kunden");
      adapter.SelectCommand.CommandText = "SELECT * FROM Abomodell";
      adapter.Fill(ds, "Abomodell");
      adapter.SelectCommand.CommandText = "SELECT * FROM Login";
      adapter.Fill(ds, "Login");

      FileStream fstream = new FileStream ("Provider.xml",
                                           FileMode.Create,
                                           FileAccess.Write);

      ds.WriteXml(fstream, XmlWriteMode.WriteSchema);

      fstream.Close();
    }

    catch (Exception e)
    {
      MessageBox.Show( e.Message,
                       "Exception aufgetreten",
                       MessageBoxButtons.OK,
                       MessageBoxIcon.Exclamation );
    }

    System.Console.ReadLine();
  }
}


